unit frmmain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  ExtCtrls, EditBtn, StdCtrls, directorylister;

type

  { TMainForm }

  TMainForm = class(TForm)
    BDraw: TButton;
    BPrint: TButton;
    DEDir: TDirectoryEdit;
    Panel1: TPanel;
    PListing: TPanel;
    procedure BDrawClick(Sender: TObject);
    procedure BPrintClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    FLister : TDirectoryLister;
    procedure DrawPage(ACanvas: TCanvas; ARect: TRect);
    { private declarations }
  public
    { public declarations }
  end; 

var
  MainForm: TMainForm;

implementation

{ TMainForm }

procedure TMainForm.FormCreate(Sender: TObject);
begin
  DEDir.Directory:=ExtractFilePath(Paramstr(0));
  FLister:=TDirectoryLister.Create(Self);
end;

procedure TMainForm.BDrawClick(Sender: TObject);
begin
  FLister.Directory:=DEDir.Directory;
  FLister.ReadDirectory;
  DrawPage(PListing.Canvas,PListing.ClientRect);
end;

procedure TMainForm.BPrintClick(Sender: TObject);
begin
  FLister.Directory:=DEDir.Directory;
  FLister.Execute;
end;

procedure TMainForm.DrawPage(ACanvas : TCanvas; ARect : TRect);

Var
  LPP : Integer;

begin
  ACanvas.Brush.Color:=clWindow;
  ACanvas.FillRect(ARect);
  LPP:=Flister.GetLinesPerPage(ACanvas,ARect.Bottom-ARect.Top,Screen.PixelsPerInch);
  FLister.DrawPage(ACanvas,1,LPP,Screen.PixelsPerInch);
end;


initialization
  {$I frmmain.lrs}

end.

